// Chrono68k v0.51
// CopyLeft by Jonas Gehring & Ilidio Martins

// C Source File
// Created 17.11.04; 14:46:13


#include <compat.h>						// Various calc-dependent and AMS-dependent pseudo-constants
#include <gray.h>							// Routines for grayscale graphics

#include <graph.h>						// Common (non-windowed) graphic routines
#include <stdio.h>						// ANSI-compatible file and TTY input/output routines
#include <string.h>


#include "extgraph.h"					// Include ExtGraph Library v2.00beta3 by TI-Chess Team

#include "chrono68k.h"
#include "digital.h"
#include "day_week.h"



// Draws two digits onto the screen
void DrawDigits(short ord)
{
	short num = 0;
	
	if (!ord)
		num = hour;
	if (ord == 1)
		num = minu;
	if (ord == 2)
		num = seco;
	
								
	/* Display the "shadows" of the numbers
	GraySprite16_RPLC_R(LCD_WIDTH/2-64+(ord*3*16)+1, LCD_HEIGHT/2-20+1, TILEHEIGHT_NUMBERS, TILEADDR_NUMBERS((num/10)),
										TILEADDR_NUMBERS((num/10)), GrayGetPlane(LIGHT_PLANE), GrayGetPlane(LIGHT_PLANE));
	GraySprite16_RPLC_R(LCD_WIDTH/2-64+(ord*3*16+16)+1, LCD_HEIGHT/2-20+1, TILEHEIGHT_NUMBERS, TILEADDR_NUMBERS((num-((num/10)*10))),
										TILEADDR_NUMBERS((num-((num/10)*10))), GrayGetPlane(LIGHT_PLANE), GrayGetPlane(LIGHT_PLANE));
	*/
	// Display the numbers
	GraySprite16_MASK_R(LCD_WIDTH/2-64+(ord*3*16), LCD_HEIGHT/2-20, TILEHEIGHT_NUMBERS, TILEADDR_NUMBERS((num/10)),
										TILEADDR_NUMBERS((num/10)), TILEADDR_NUMBERS((num/10)),	TILEADDR_NUMBERS((num/10)),
										GrayGetPlane(DARK_PLANE), GrayGetPlane(LIGHT_PLANE));
	GraySprite16_MASK_R(LCD_WIDTH/2-64+(ord*3*16+16), LCD_HEIGHT/2-20, TILEHEIGHT_NUMBERS, TILEADDR_NUMBERS((num-((num/10)*10))),
										TILEADDR_NUMBERS((num-((num/10)*10))), TILEADDR_NUMBERS((num-((num/10)*10))), TILEADDR_NUMBERS((num-((num/10)*10))),
										GrayGetPlane(DARK_PLANE), GrayGetPlane(LIGHT_PLANE));
}


// Display the time in digital format
void DisplayTimeDigital(BOOL mode)
{
	// Draw seconds
	DrawDigits(2);
	
	// Draw minutes
	if (minu != minut || mode)
		DrawDigits(1);
	
	// Draw hours
	if (hour != hourt || mode)
		DrawDigits(0);
		
	// Draw doublepoints if needed
	if (mode) {
		/*GraySprite16_RPLC_R(LCD_WIDTH/2-64+(2*16)+1, LCD_HEIGHT/2-20+1, TILEHEIGHT_NUMBERS, TILEADDR_NUMBERS(10),
													TILEADDR_NUMBERS(10), GrayGetPlane(LIGHT_PLANE), GrayGetPlane(LIGHT_PLANE));
		GraySprite16_RPLC_R(LCD_WIDTH/2-64+(5*16)+1, LCD_HEIGHT/2-20+1, TILEHEIGHT_NUMBERS, TILEADDR_NUMBERS(10),
													TILEADDR_NUMBERS(10), GrayGetPlane(LIGHT_PLANE), GrayGetPlane(LIGHT_PLANE));
		*/
		GraySprite16_RPLC_R(LCD_WIDTH/2-64+(2*16), LCD_HEIGHT/2-20, TILEHEIGHT_NUMBERS, TILEADDR_NUMBERS(10),
													TILEADDR_NUMBERS(10), GrayGetPlane(LIGHT_PLANE), GrayGetPlane(DARK_PLANE));
		GraySprite16_RPLC_R(LCD_WIDTH/2-64+(5*16), LCD_HEIGHT/2-20, TILEHEIGHT_NUMBERS, TILEADDR_NUMBERS(10),
													TILEADDR_NUMBERS(10), GrayGetPlane(LIGHT_PLANE), GrayGetPlane(DARK_PLANE));
	}
	// Display the date
	draw_day_week();
}