// Chrono68k v0.51
// CopyLeft by Jonas Gehring & Ilidio Martins

// C Source File
// Created 17.11.04; 16:56:15


#include <stdio.h>						// ANSI-compatible file and TTY input/output routines
#include <intr.h>							// Routines for creating interrupt handlers
#include <estack.h>						// Routines for symbolic manipulation and expression handling

#include "chrono68k.h"


// The following routines are taken from the TIGCC Tutorials from John David Ratliff
// (www.technoplaza.net) and modified to the needs

// Saves the settings to the file "chrsets.cnfg"
void SaveToFile(BOOL *data)
{
	FILE *file = NULL;

	// Open file for writing
	if ((file = fopen("chrsets", "wb")) == NULL) {
		return;
	} else {
		// Write data to the file
		if (fwrite(data, sizeof(BOOL), 1, file) != 1) {
			return;
		}
	
		// Add the file ID tag
		fputc(0, file);
		fputs("cnfg", file);
		fputc(0, file);
		fputc(OTH_TAG, file);
		
		// Close the file
		fclose(file);
	}
}


// Gets data from the file "chrsets.cnfg"
BOOL *LoadFromFile(void)
{
	BOOL *mode;
	FILE *file = NULL;
		
	*mode = ANALOG;
	
	// Open file for reading in binary mode
	if ((file = fopen("chrsets", "rb")) == NULL) {
		return mode;
	} else {
		// Read data from file into th variable mode
		if (fread(mode, sizeof(BOOL), 1, file) != 1) {
			return mode;
		}

		// Close the file
		fclose(file);
		
		return mode;
	}
	
	return mode;
}